import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
/**
 * Inserts device registration token
 *
 * @remarks
 * Device registration token will be contained in device
 *
 * @example
```ts
const { deviceRegistrationTokenLinkId } = await insertDeviceRegistrationToken({
  deep,
  deviceRegistrationToken,
  deviceLinkId,
})
```
 */
export declare function insertDeviceRegistrationToken({ deep, deviceRegistrationToken, deviceLinkId }: InsertDeviceRegistrationTokenParam): Promise<InsertDeviceRegistrationTokenResult>;
export interface InsertDeviceRegistrationTokenParam {
    /**
     * Deep Client
     */
    deep: DeepClient;
    /**
     * Device registration token
     */
    deviceRegistrationToken: string;
    /**
     * Device link id
     */
    deviceLinkId: number;
}
export interface InsertDeviceRegistrationTokenResult {
    /**
     * Device registration token link id
     */
    deviceRegistrationTokenLinkId: number;
}
