import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
/**
 * Inserts web push sertificate
 *
 * @example
```ts
const { webPushCertificateLinkId } = await insertWebPushCertificate({
  deep,
  webPushCertificate,
  shouldMakeActive,
})
```
 */
export declare function insertWebPushCertificate(param: InsertWebPushCertificateParam): Promise<InsertWebPushCertificateResult>;
export interface InsertWebPushCertificateParam {
    /**
     * Deep Client
     */
    deep: DeepClient;
    /**
     * Web Push Certificate
     */
    webPushCertificate: string;
    /**
     * Is this web push certificate should be made active
     *
     * @remarks
     * You can have multiple web push certificate and only one can be active. It is made active when UsesServiceAccount is pointing to it
     */
    shouldMakeActive?: boolean;
}
export interface InsertWebPushCertificateResult {
    /**
     * Web Push Certificate Link Id
     */
    webPushCertificateLinkId: number;
}
